Loading...
Searching...
No Matches
ARC_LexerTokenRule Struct Reference

a lexer token rule type More...

`#include <lexer.h>`

## Data Fields

uint32_t | id
void * | automataData
ARC_LexerTokenRule_AutomataFn | automataFn
ARC_LexerTokenRule_DestroyAutomataDataFn | destroyAutomataDataFn

## Detailed Description

a lexer token rule type

Definition at line 46 of file lexer.h.

## Field Documentation

## automataData

void* ARC_LexerTokenRule::automataData

Definition at line 49 of file lexer.h.

## automataFn

ARC_LexerTokenRule_AutomataFn ARC_LexerTokenRule::automataFn

Definition at line 51 of file lexer.h.

## destroyAutomataDataFn

ARC_LexerTokenRule_DestroyAutomataDataFn ARC_LexerTokenRule::destroyAutomataDataFn

Definition at line 52 of file lexer.h.

## id

uint32_t ARC_LexerTokenRule::id

Definition at line 47 of file lexer.h.

The documentation for this struct was generated from the following file:

- /home/herbglitch/programs/archeus/arc/include/arc/std/lexer.h